package projectzombie.inventory;

import projectzombie.items.Item;
import projectzombie.util.math.ItemStack;

public interface IInventory
{
	public int getSlotCount();
	public ItemStack getItem(int slot);
	
	public void addItem(ItemStack stack);
	public void setItem(ItemStack stack, int slot);
	
	public ItemStack removeItem(int slot);
	public void removeItem(ItemStack stack);
	public void removeItem(Item item, int count);
}
